Changeset 39852 in project


Ignore:
Timestamp:
04/05/21 22:30:58 (2 weeks ago)
Author:
Kon Lovett
Message:

rationalize version-depth-! error messages

Location:
release/5/semantic-version/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • release/5/semantic-version/trunk/semantic-version.egg

    r39851 r39852  
    77 (author "Kon Lovett")
    88 (license "BSD")
    9  (dependencies utf8 srfi-1 srfi-128)
     9 (dependencies utf8 srfi-1 srfi-69 srfi-128)
    1010 (test-dependencies test)
    1111 (components
  • release/5/semantic-version/trunk/semantic-version.scm

    r39851 r39852  
    288288      (let ((puncs (ver-puncs ver)) (parts (ver-parts ver)))
    289289        (unless (<= cnt (length parts))
    290           (error 'version-depth-! "semantice-version has too little depth to drop" ver cnt) )
     290          (error 'version-depth-! "semantic-version cannot drop such depth" ver cnt) )
    291291        ;be direct when dropping all
    292292        (ver-parts-set! ver (if (= cnt (length parts)) '() (drop-right! parts cnt)))
     
    295295        ver ) )
    296296    (else
    297       (error 'version-depth-! "cannot drop negative depth" ver cnt)) ) )
     297      (error 'version-depth-! "semantic-version cannot drop negative depth" ver cnt)) ) )
    298298
    299299(define (version-depth+ ver cnt part #!optional (punc (default-punctuation)))
Note: See TracChangeset for help on using the changeset viewer.